AddMountAttributes (Apache Hadoop HDFS-RBF 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.tools.federation, class: AddMountAttributes

Package org.apache.hadoop.hdfs.tools.federation

# Class AddMountAttributes

java.lang.Object
org.apache.hadoop.hdfs.tools.federation.AddMountAttributes

public class AddMountAttributes extends Object
Add mount entry attributes to be used by Router admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddMountAttributes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.hadoop.hdfs.tools.federation.RouterAdmin.ACLEntity`
  `getAclInfo()`
  `String`
  `getDest()`
  `String`
  `getMount()`
  `MountTable`
  `getMountTableEntryWithAttributes()`
  Retrieve mount table object with all attributes derived from this object.
  `MountTable`
  `getNewOrUpdatedMountTableEntryWithAttributes(MountTable existingEntry)`
  Retrieve mount table object with all attributes derived from this object.
  `String[]`
  `getNss()`
  `DestinationOrder`
  `getOrder()`
  `int`
  `getParamIndex()`
  `boolean`
  `isFaultTolerant()`
  `boolean`
  `isReadonly()`
  `void`
  `setAclInfo(org.apache.hadoop.hdfs.tools.federation.RouterAdmin.ACLEntity aclInfo)`
  `void`
  `setDest(String dest)`
  `void`
  `setFaultTolerant(boolean faultTolerant)`
  `void`
  `setMount(String mount)`
  `void`
  `setNss(String[] nss)`
  `void`
  `setOrder(DestinationOrder order)`
  `void`
  `setParamIndex(int paramIndex)`
  `void`
  `setReadonly(boolean readonly)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddMountAttributes

    public AddMountAttributes()

- ## Method Details

  - ### getMount

    public String getMount()

  - ### setMount

    public void setMount(String mount)

  - ### getNss

    public String[] getNss()

  - ### setNss

    public void setNss(String[] nss)

  - ### getDest

    public String getDest()

  - ### setDest

    public void setDest(String dest)

  - ### isReadonly

    public boolean isReadonly()

  - ### setReadonly

    public void setReadonly(boolean readonly)

  - ### isFaultTolerant

    public boolean isFaultTolerant()

  - ### setFaultTolerant

    public void setFaultTolerant(boolean faultTolerant)

  - ### getOrder

    public DestinationOrder getOrder()

  - ### setOrder

    public void setOrder(DestinationOrder order)

  - ### getAclInfo

    public org.apache.hadoop.hdfs.tools.federation.RouterAdmin.ACLEntity getAclInfo()

  - ### setAclInfo

    public void setAclInfo(org.apache.hadoop.hdfs.tools.federation.RouterAdmin.ACLEntity aclInfo)

  - ### getParamIndex

    public int getParamIndex()

  - ### setParamIndex

    public void setParamIndex(int paramIndex)

  - ### getMountTableEntryWithAttributes

    public MountTable getMountTableEntryWithAttributes() throws IOException
    Retrieve mount table object with all attributes derived from this object.
    Returns:
      MountTable object with updated attributes.
    Throws:
      `IOException` - If mount table instantiation fails.

  - ### getNewOrUpdatedMountTableEntryWithAttributes

    public MountTable getNewOrUpdatedMountTableEntryWithAttributes(MountTable existingEntry) throws IOException
    Retrieve mount table object with all attributes derived from this object. The returned mount table could be either new or existing one with updated attributes.
    Parameters:
      `existingEntry` - Existing mount table entry. If null, new mount table object is created, otherwise the existing mount table object is updated.
    Returns:
      MountTable object with updated attributes.
    Throws:
      `IOException` - If mount table instantiation fails.